GNU bug report logs - #936
messages injected by a newsgroup gateway do not reach debbugs.gnu.org

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: debbugs.gnu.org; Severity: important; Reported by: Glenn Morris <rgm@HIDDEN>; Keywords: wontfix; dated Mon, 8 Sep 2008 21:40:04 UTC; Maintainer for debbugs.gnu.org is help-debbugs@HIDDEN.
Added tag(s) wontfix. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'messages injected by a newsgroup gateway do not reach debbugs.gnu.org' from 'Some mails to bug-gnu-emacs evade emacsbugs' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 936 <at> debbugs.gnu.org:


Received: (at 936) by debbugs.gnu.org; 18 Aug 2012 01:08:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 17 21:08:53 2012
Received: from localhost ([127.0.0.1]:36202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T2XX2-0002dg-Fa
	for submit <at> debbugs.gnu.org; Fri, 17 Aug 2012 21:08:53 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:45435)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>)
	id 1T2XX0-0002dW-Ag; Fri, 17 Aug 2012 21:08:50 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1T2XX0-00089s-B9; Fri, 17 Aug 2012 21:08:50 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 936 <at> debbugs.gnu.org
Subject: Re: bug#936: fixing/disabling the bug news->mail gateway
References: <j4ockxwz5d.fsf@HIDDEN>
	<873a29lnnz.fsf@HIDDEN>
	<E1NVQyB-0003r3-2w@HIDDEN>
	<87eils901p.fsf@HIDDEN>
	<E1NVtql-0007yr-Cn@HIDDEN>
	<69ljfbjboz.fsf@HIDDEN>
X-Spook: MD2 Merlin kilderkin Venezuela bullion AMEMB Becker S Box
X-Ran: 2UsktU^6=elk_[Sw^"rx:JB-amJB}m[75l'p59z68,]jL.@C]]u%ibaB|Zy7!Oiu#+"%LP
X-Hue: black
X-Attribution: GM
Date: Fri, 17 Aug 2012 21:08:50 -0400
In-Reply-To: <69ljfbjboz.fsf@HIDDEN> (Glenn Morris's message of
	"Tue, 02 Feb 2010 21:27:24 -0500")
Message-ID: <ijlihdqa59.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 936
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.6 (-----)

retitle 936 messages injected by a newsgroup gateway do not reach debbugs.gnu.org
tag 936 wontfix
stop

I talked to fsf-sysadmin. There seems to be no prospect of fixing this,
so we're just going to live with it.




Information forwarded to help-debbugs@HIDDEN:
bug#936; Package debbugs.gnu.org. Full text available.

Message received at 936 <at> debbugs.gnu.org:


Received: (at 936) by debbugs.gnu.org; 3 Feb 2010 02:27:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 02 21:27:42 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NcUxx-0007Nd-Qu
	for submit <at> debbugs.gnu.org; Tue, 02 Feb 2010 21:27:42 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1NcUxk-0007NH-Ld
	for 936 <at> debbugs.gnu.org; Tue, 02 Feb 2010 21:27:40 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1NcUxg-0006mf-Es; Tue, 02 Feb 2010 21:27:24 -0500
References: <j4ockxwz5d.fsf@HIDDEN>
	<873a29lnnz.fsf@HIDDEN>
	<E1NVQyB-0003r3-2w@HIDDEN>
	<87eils901p.fsf@HIDDEN>
	<E1NVtql-0007yr-Cn@HIDDEN>
To: rms@HIDDEN
Subject: Re: bug#936: fixing/disabling the bug news->mail gateway
From: Glenn Morris <rgm@HIDDEN>
X-Spook: PLO brigand CDMA ASLET dictionary fissionable counter
X-Ran: ~cV]til6h`*)=/!sel6^<Nj7[1}H\`f\-itMq;_1H![a"tw6{HH#qvnmJ^8>c#ea8T!ztE
X-Hue: black
X-Attribution: GM
Date: Tue, 02 Feb 2010 21:27:24 -0500
Message-ID: <69ljfbjboz.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 936
Cc: cyd@HIDDEN, 936 <at> debbugs.gnu.org, emacs-devel@HIDDEN,
	Jason Rumney <jasonr@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)


What I conclude from this is that while we have various ideas for
changing this, we don't know which, if any, will work or how to
implement them. So I think we will have to present sysadmin@gnu with
the list of ideas and ask them if they can see how to implement one of
them.

Otherwise the least bad option is probably to leave it as it is.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#936; Package debbugs.gnu.org. Full text available.

Message received at 936 <at> debbugs.gnu.org:


Received: (at 936) by debbugs.gnu.org; 15 Jan 2010 21:37:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 15 16:37:06 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NVtqr-0000Wc-HV
	for submit <at> debbugs.gnu.org; Fri, 15 Jan 2010 16:37:05 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rms@HIDDEN>) id 1NVtqp-0000VV-Tq
	for 936 <at> debbugs.gnu.org; Fri, 15 Jan 2010 16:37:04 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rms@HIDDEN>)
	id 1NVtql-0007yr-Cn; Fri, 15 Jan 2010 16:36:59 -0500
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Jason Rumney <jasonr@HIDDEN>
In-reply-to: <87eils901p.fsf@HIDDEN> (message from Jason
	Rumney on Thu, 14 Jan 2010 23:30:10 +0800)
Subject: Re: bug#936: fixing/disabling the bug news->mail gateway
References: <j4ockxwz5d.fsf@HIDDEN>
	<873a29lnnz.fsf@HIDDEN>
	<E1NVQyB-0003r3-2w@HIDDEN>
	<87eils901p.fsf@HIDDEN>
Message-Id: <E1NVtql-0007yr-Cn@HIDDEN>
Date: Fri, 15 Jan 2010 16:36:59 -0500
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: 936
Cc: cyd@HIDDEN, 936 <at> debbugs.gnu.org, emacs-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

    I'm not sure what the difficulty is in making gnu.emacs.bug a moderated
    group with the bug tracker address as moderator, and output from the bug
    tracker considered as the moderated content.

Maybe that is a good idea.

I don't know enough to judge.  However, ISTR that it is impossible to
convert a moderated group into a nonmoderated group.  If that is true,
we should make damned sure this will work well, before trying it.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#936; Package debbugs.gnu.org. Full text available.

Message received at 936 <at> debbugs.gnu.org:


Received: (at 936) by debbugs.gnu.org; 14 Jan 2010 15:30:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 10:30:39 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NVReg-0001Ob-Tk
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2010 10:30:39 -0500
Received: from mail-bw0-f216.google.com ([209.85.218.216])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jasonrumney@HIDDEN>) id 1NVReP-0001OF-RA
	for 936 <at> debbugs.gnu.org; Thu, 14 Jan 2010 10:30:37 -0500
Received: by bwz8 with SMTP id 8so16573688bwz.39
	for <936 <at> debbugs.gnu.org>; Thu, 14 Jan 2010 07:30:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:sender:received:from:to:cc
	:subject:references:date:in-reply-to:message-id:user-agent
	:mime-version:content-type;
	bh=iXmSsCT4vpibLceGYRwZtViwzAkZdJAC8buDjkTBoEc=;
	b=jYVhomkNBj7lUrfjJpnUNyc4AwUyqZwORRYPAvzO2P7+vlsUta7W9jROj2zk0zUApe
	llloD6Cin8DKSXYZZxfRfj5wveNlpVOkSBzFBcfXu/p+/HMrOLdM6Hat/jGXqI50dPU1
	EX07pNseoYfB82MW5rKEM1K9fG4GC5Ncbh5kc=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	b=R1qmAO9c2cCxGOhb90Qqz8/8LeVmmWOGuFD5HKP3NJNYdqIS0omuCo0wO6GDOoNTgX
	Jsuq0oJW4AXxL+aAf7i5TaBZDjy+4sSqSeGTPFwYO5kkcSS7BqQZ2gcLAJYuFNoJuKzx
	qoDyZeFyWlgY4LRynlgihDp1plOGOcTTNpNFA=
Received: by 10.204.32.131 with SMTP id c3mr509640bkd.190.1263483016083;
	Thu, 14 Jan 2010 07:30:16 -0800 (PST)
Received: from wanchan.jasonrumney.net ([72.14.240.164])
	by mx.google.com with ESMTPS id 13sm384759bwz.6.2010.01.14.07.30.14
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Thu, 14 Jan 2010 07:30:15 -0800 (PST)
Received: by wanchan.jasonrumney.net (Postfix, from userid 1000)
	id ADC051885; Thu, 14 Jan 2010 23:30:10 +0800 (MYT)
From: Jason Rumney <jasonr@HIDDEN>
To: rms@HIDDEN
Subject: Re: bug#936: fixing/disabling the bug news->mail gateway
References: <j4ockxwz5d.fsf@HIDDEN>
	<873a29lnnz.fsf@HIDDEN>
	<E1NVQyB-0003r3-2w@HIDDEN>
Date: Thu, 14 Jan 2010 23:30:10 +0800
In-Reply-To: <E1NVQyB-0003r3-2w@HIDDEN> (Richard Stallman's message
	of "Thu, 14 Jan 2010 09:46:43 -0500")
Message-ID: <87eils901p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 936
Cc: Chong Yidong <cyd@HIDDEN>, 936 <at> debbugs.gnu.org,
	emacs-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Richard Stallman <rms@HIDDEN> writes:

> I agree there is no _need_ for people to be able to post bug reports
> as news.  But what would be the practical result of a "one-way gateway"
> when someone tries to post a bug report as news?

I'm not sure what the difficulty is in making gnu.emacs.bug a moderated
group with the bug tracker address as moderator, and output from the bug
tracker considered as the moderated content.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#936; Package debbugs.gnu.org. Full text available.

Message received at 936 <at> debbugs.gnu.org:


Received: (at 936) by debbugs.gnu.org; 14 Jan 2010 14:51:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 09:51:24 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NVR2h-0000oc-89
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2010 09:51:23 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rms@HIDDEN>) id 1NVQyF-0000jA-SK
	for 936 <at> debbugs.gnu.org; Thu, 14 Jan 2010 09:46:48 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rms@HIDDEN>)
	id 1NVQyB-0003r3-2w; Thu, 14 Jan 2010 09:46:43 -0500
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
In-reply-to: <873a29lnnz.fsf@HIDDEN> (message from Chong Yidong on
	Wed, 13 Jan 2010 16:06:56 -0500)
Subject: Re: bug#936: fixing/disabling the bug news->mail gateway
References: <j4ockxwz5d.fsf@HIDDEN>
	<873a29lnnz.fsf@HIDDEN>
Message-Id: <E1NVQyB-0003r3-2w@HIDDEN>
Date: Thu, 14 Jan 2010 09:46:43 -0500
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: 936
X-Mailman-Approved-At: Thu, 14 Jan 2010 09:51:22 -0500
Cc: rgm@HIDDEN, emacs-devel@HIDDEN, 936 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

    >     I think it would be acceptable to make the gateway one-way,
    >     mail->news only. I don't think people need to be able to report
    >     bugs via usenet. For those who want to do so, gmane exists.

    Let's just make it one-way.  Maintaining two-way gateways is fine if
    there's negligible hassle (e.g. help-gnu-emacs), but in this case it's
    too much trouble.

I agree there is no _need_ for people to be able to post bug reports
as news.  But what would be the practical result of a "one-way gateway"
when someone tries to post a bug report as news?

Would it mean that his bug report appears as news, and all seems well,
but it is never seen on the mailing list?  That is not a very good
outcome.

If the gateway could send him mail to inform him that he has to post
via mail, not via news, that would be much better.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#936; Package debbugs.gnu.org. Full text available.

Message received at 936 <at> debbugs.gnu.org:


Received: (at 936) by debbugs.gnu.org; 13 Jan 2010 21:27:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 16:27:10 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NVAk9-0001js-G3
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2010 16:27:09 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1NVAk6-0001jV-CI
	for 936 <at> debbugs.gnu.org; Wed, 13 Jan 2010 16:27:08 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1NVAk1-00014S-VO; Wed, 13 Jan 2010 16:27:01 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#936: fixing/disabling the bug news->mail gateway
References: <j4ockxwz5d.fsf@HIDDEN>
	<873a29lnnz.fsf@HIDDEN>
X-Spook: dictionary S Key AMEMB Rubin Compsec War on Terrorism 64
X-Ran: p}"d2x1],ygGO3~!0rok2Vy[X9KTU#MD#nouAD_AUX;{tE#~"wJs;'93#ow-k1<r~0Z5=p
X-Hue: blue
X-Attribution: GM
Date: Wed, 13 Jan 2010 16:27:01 -0500
Message-ID: <t0k4vl66hm.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.8 (-----)
X-Debbugs-Envelope-To: 936
Cc: 936 <at> debbugs.gnu.org, emacs-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

Chong Yidong wrote:

> Let's just make it one-way.  Maintaining two-way gateways is fine if
> there's negligible hassle (e.g. help-gnu-emacs), but in this case it's
> too much trouble.
>
> How do we go about making it one-way, tho?

I think the main thing is to advertise that it's become one way.

From looking at debbugs-submit, I think actually doing it might just
be a case of unsetting the Mailman option gateway_to_mail in the
bug-gnu-emacs setup.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#936; Package debbugs.gnu.org. Full text available.

Message received at 936 <at> debbugs.gnu.org:


Received: (at 936) by debbugs.gnu.org; 13 Jan 2010 21:07:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 16:07:02 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NVAQg-0001Rd-LB
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2010 16:07:02 -0500
Received: from pantheon-po43.its.yale.edu ([130.132.50.104])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <cyd@HIDDEN>) id 1NVAQf-0001RF-0C
	for 936 <at> debbugs.gnu.org; Wed, 13 Jan 2010 16:07:01 -0500
Received: from furry (dhcp128036014123.central.yale.edu [128.36.14.123])
	(authenticated bits=0)
	by pantheon-po43.its.yale.edu (8.12.11.20060308/8.12.11) with ESMTP id
	o0DL6ub4032476
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Wed, 13 Jan 2010 16:06:56 -0500
Received: by furry (Postfix, from userid 1000)
	id C84F6C05D; Wed, 13 Jan 2010 14:06:56 -0700 (MST)
From: Chong Yidong <cyd@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#936: fixing/disabling the bug news->mail gateway
References: <j4ockxwz5d.fsf@HIDDEN>
Date: Wed, 13 Jan 2010 16:06:56 -0500
In-Reply-To: <j4ockxwz5d.fsf@HIDDEN> (Glenn Morris's message of
	"Wed, 13 Jan 2010 15:03:26 -0500")
Message-ID: <873a29lnnz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-YaleITSMailFilter: Version 1.2c (attachment(s) not renamed)
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 936
Cc: 936 <at> debbugs.gnu.org, emacs-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

Glenn Morris <rgm@HIDDEN> writes:

> Does anyone knw if this is doable? It doesn't seem to be possible in a
> standard mailman setup, but could the FSF admins somehow add it as a
> special case?
>
> Otherwise I reiterate my proposal from
>
> http://lists.gnu.org/archive/html/emacs-devel/2009-11/msg01209.html
>
>     I think it would be acceptable to make the gateway one-way,
>     mail->news only. I don't think people need to be able to report
>     bugs via usenet. For those who want to do so, gmane exists.

Let's just make it one-way.  Maintaining two-way gateways is fine if
there's negligible hassle (e.g. help-gnu-emacs), but in this case it's
too much trouble.

How do we go about making it one-way, tho?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#936; Package debbugs.gnu.org. Full text available.

Message received at 936 <at> debbugs.gnu.org:


Received: (at 936) by debbugs.gnu.org; 13 Jan 2010 20:03:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 15:03:32 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NV9RE-0008P1-72
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2010 15:03:32 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1NV9RD-0008Ou-33
	for 936 <at> debbugs.gnu.org; Wed, 13 Jan 2010 15:03:31 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1NV9R8-0005eT-LR; Wed, 13 Jan 2010 15:03:26 -0500
From: Glenn Morris <rgm@HIDDEN>
To: emacs-devel@HIDDEN
Subject: fixing/disabling the bug news->mail gateway
X-Spook: MP5K-SD Fedayeen mailbomb assassinate Gazprom HAMASMOIS
X-Ran: ;~PSsCV=e|Fy@fpfaMuSLK9yRmVY()Q%UFS7p#K)uv^Eq^=V6?ui8piao.*5!>W1pW&O/"
X-Hue: yellow
X-Attribution: GM
Date: Wed, 13 Jan 2010 15:03:26 -0500
Message-ID: <j4ockxwz5d.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: 936
Cc: 936 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.3 (----)


It's a long-standing issue that the news->mail gateway does not work
with the bug tracker:

http://debbugs.gnu.org/936

When someone posts a message to the gnu.emacs.bug newsgroup, it
appears on the bug-gnu-emacs mailing list, but not in the bug tracker.
For example, Ted Zlatanov's response to bug 5307 today. (Actually, he's
the only person I ever notice using the news gateway to post.)

The only idea I had to fix this was that the news->mail gateway should
inject messages into submit <at> debbugs.gnu.org rather than directly to
the bug-gnu-emacs list. (Debbugs would then automatically take care of
appending the data to an exiting report or creating a new bug
depending on whether the subject line contained an existing bug
number.)

Does anyone knw if this is doable? It doesn't seem to be possible in a
standard mailman setup, but could the FSF admins somehow add it as a
special case?

Otherwise I reiterate my proposal from

http://lists.gnu.org/archive/html/emacs-devel/2009-11/msg01209.html

    I think it would be acceptable to make the gateway one-way,
    mail->news only. I don't think people need to be able to report
    bugs via usenet. For those who want to do so, gmane exists.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#936; Package debbugs.gnu.org. Full text available.
bug reassigned from package 'emacsbugs.donarmstrong.com' to 'debbugs.gnu.org'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to `important' from `normal' Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-12.6 required=4.0 tests=AWL,BAYES_00,FOURLA,
	FVGT_m_MULTI_ODD,HAS_PACKAGE,IMPRONONCABLE_2,MURPHY_WRONG_WORD1,
	MURPHY_WRONG_WORD2,RCVD_IN_DNSWL_MED,URI_HEX,X_DEBBUGS_NO_ACK autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at quiet) by emacsbugs.donarmstrong.com; 8 Sep 2008 21:33:10 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m88LX63k012336
	for <quiet@HIDDEN>; Mon, 8 Sep 2008 14:33:08 -0700
Received: from rgm by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <rgm@HIDDEN>)
	id 1KcoKP-0004Nj-Dv; Mon, 08 Sep 2008 17:31:21 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <18629.39337.385988.325295@HIDDEN>
Date: Mon, 8 Sep 2008 17:31:21 -0400
From: Glenn Morris <rgm@HIDDEN>
To: quiet <quiet <at> debbugs.gnu.org>
Subject: Some mails to bug-gnu-emacs evade emacsbugs
X-Debbugs-No-Ack: yes

Package: emacsbugs.donarmstrong.com

(Filing report for:
http://lists.gnu.org/archive/html/emacs-devel/2008-09/msg00154.html)


Some mails appear on bug-gnu-emacs, but not on emacsbugs. I think the
gateway from the gnu.emacs.bug newsgroup may be responsible somehow.

Eg:

http://lists.gnu.org/archive/html/bug-gnu-emacs/2008-08/msg00916.html

never appeared in bug #821.


Nor did another followup today, trimmed headers below.


It's not clear to me if a news->mail gateway can function at all now
we have a tracker. It would have to append mails with an existing bug
number in the subject to a report, and create a new bug otherwise. No
idea where the automated reply messages would try to go...



X-From-Line: bug-gnu-emacs-bounces+rgm=gnu.org@HIDDEN  Wed Sep  3 13:38:53 2008
Return-path: <bug-gnu-emacs-bounces+rgm=gnu.org@HIDDEN>
Envelope-to: rgm@HIDDEN
Delivery-date: Wed, 03 Sep 2008 13:38:53 -0400
Received: from mail.gnu.org ([199.232.76.166]:47851 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <bug-gnu-emacs-bounces+rgm=gnu.org@HIDDEN>)
	id 1KawJh-00058T-SS
	for rgm@HIDDEN; Wed, 03 Sep 2008 13:38:53 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <bug-gnu-emacs-bounces+rgm=gnu.org@HIDDEN>)
	id 1KawLC-0001Tl-Pw
	for rgm@HIDDEN; Wed, 03 Sep 2008 13:40:31 -0400
Received: from lists.gnu.org ([199.232.76.165]:54636)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <bug-gnu-emacs-bounces+rgm=gnu.org@HIDDEN>)
	id 1KawLC-0001Td-Hj
	for rgm@HIDDEN; Wed, 03 Sep 2008 13:40:26 -0400
Received: from localhost ([127.0.0.1]:47793 helo=lists.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1KawLC-0004UK-FE
	for rgm@HIDDEN; Wed, 03 Sep 2008 13:40:26 -0400
Path: news.stanford.edu!newsfeed.stanford.edu!news.tele.dk!news.tele.dk!small.news.tele.dk!multikabel.net!feed20.multikabel.net!newsfeed.freenet.de!news.albasani.net!not-for-mail
From: Ted Zlatanov <tzz@HIDDEN>
Newsgroups: gnu.emacs.bug
Date: Wed, 03 Sep 2008 12:22:36 -0500
Message-ID: <8663pdf8kj.fsf@HIDDEN>
References: <mailman.17908.1220026057.18990.bug-gnu-emacs@HIDDEN>
	<86prnriynu.fsf@HIDDEN>
	<mailman.17964.1220052456.18990.bug-gnu-emacs@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Trace: news.albasani.net
	bxDRxvx0bL7COxec1PeE/IznkdeVVt8PRXLGf+zpKd7zo36AO0J9WYRTzBDKDYReIk6ccLTCwqbccH9hq8Sw+YfQMLSiCoAFvxu8W0zVuMNMvOk77J+X7PD/vvtPqXuw
X-Complaints-To: abuse@HIDDEN
NNTP-Posting-Date: Wed, 3 Sep 2008 17:22:36 +0000 (UTC)
X-NNTP-Posting-Host: RrFlv9R0pjcxBP45tmNK3xjf+P/LcQQqbmBTqrk50iY=
Xref: fencepost.gnu.org computing.gnu-emacs-bug:16448
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#821: 23.0.60;
	bootstrap fails due to define-minor-mode in textmode/paragraphs.el
X-BeenThere: bug-gnu-emacs@HIDDEN
X-Mailman-Version: 2.1.5
Precedence: list
List-Id: "Bug reports for GNU Emacs,
	the Swiss army knife of text editors" <bug-gnu-emacs.gnu.org>
List-Unsubscribe: <http://lists.gnu.org/mailman/listinfo/bug-gnu-emacs>,
	<mailto:bug-gnu-emacs-request@HIDDEN?subject=unsubscribe>
List-Archive: <http://lists.gnu.org/pipermail/bug-gnu-emacs>
List-Post: <mailto:bug-gnu-emacs@HIDDEN>
List-Help: <mailto:bug-gnu-emacs-request@HIDDEN?subject=help>
List-Subscribe: <http://lists.gnu.org/mailman/listinfo/bug-gnu-emacs>,
	<mailto:bug-gnu-emacs-request@HIDDEN?subject=subscribe>
Sender: bug-gnu-emacs-bounces+rgm=gnu.org@HIDDEN
Errors-To: bug-gnu-emacs-bounces+rgm=gnu.org@HIDDEN




Report stored:
bug#936; Package emacsbugs.donarmstrong.com. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.